# $Revision: 1.24 $, $Date: 2012/03/28 07:27:26 $
%include	/usr/lib/rpm/macros.perl
Summary:	Simple Web Indexing System for Humans - Enhanced
Summary(pl.UTF-8):	Prosty system indeksowania stron WWW - wersja rozszerzona
Name:		swish-e
Version:	2.4.6
Release:	3
License:	GPL/LGPL
Group:		Applications/Text
Source0:	http://swish-e.org/distribution/%{name}-%{version}.tar.gz
# Source0-md5:	eb762cba20ea0908141d44b1a31cdd39
URL:		http://swish-e.org/
#Icon:		swish-e.xpm
BuildRequires:	libxml2-devel
BuildRequires:	pcre-devel
BuildRequires:	rpm-perlprov
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Swish-e is Simple Web Indexing System for Humans - Enhanced.

Swish-e can quickly and easily index directories of files or remote
web sites and search the generated indexes.

Swish-e is extremely fast in both indexing and searching, highly
configurable, and can be seamlessly integrated with existing web sites
to maintain a consistent design. Swish-e can index web pages, but can
just as easily index text files, mailing list archives, or data stored
in a relational database.

Swish-e key features are:
- Emacs/Gnus mail index in cooordination with nnir.el
- Fast - many factors that affect speed, but a search on this server
  that returns a thousand documents takes only a few seconds.
- Flexible - a number of configuration options provide you a high
  degree of control over what is indexed and how.
- Powerful - the AND, OR and NOT operators are supported, words can be
  truncated (using *), and searches can be limited to particular fields
  (META tag fields, TITLEs, etc.)
- Free - nothing, zip, zero.
- It's made for Web sites - In indexing HTML files, SWISH-E can ignore
  data in most tags while giving higher relevance to information in
  header and title tags. Titles are extracted from HTML files and appear
  in the search results. SWISH can automatically search your whole Web
  site for you in one pass, if it's under one directory. You can also
  limit your search to words in HTML titles, comments, emphasized tags,
  and META tags. In addition, 8-bit HTML characters can be indexed,
  converted, and searched.
- It creates portable indexes - Index files consist of only one file,
  so they can be transported around and easily maintained.
- You can fix the source - We encourage people to send in patches and
  suggestions on how to make SWISH-E better. You may want to join the
  SWISH-E Discussion.

%description -l pl.UTF-8
Swish-e jest prostym systemem indeksującym WWW dla ludzi - w wersji
rozszerzonej.

Swish-e może zgrabnie i łatwo indeksować katalogi plików lub zdalne
strony WWW i przeszukiwać wygenerowane indeksy.

Swish-e jest ekstremalnie szybki zarówno w indeksowaniu i
wyszukiwaniu, mocno konfigurowalny, i może być łatwo zintegrowany z
istniejącymi stronami WWW w celu konfiguracji jego wyglądu. Swish-e
może indeksować nie tylko strony WWW, ale także pliki tekstowe,
archiwa list pocztowych lub dane przechowywane w relacyjnych bazach
danych.

Kluczowymi właściwościami swish-a są:
- Zgodne z Emacs/Gnus indeksowanie poczty w połączeniu z nnir.el
- Szybki - wiele współczynników ma wpływ na prędkość, ale wyszukiwanie
  na serwerze zwracające tysiące dokumentów zabiera tylko kilka sekund.
- Elastyczny - duża liczba opcji konfiguracyjnych udostępnia wysoki
  stopień możliwości określenia co i jak ma być indeksowane.
- Potężny - operatory AND, OR i NOT są obsługiwane, słowa mogą być
  obcinane(korzystając z *), i wyszukiwanie ograniczane do konkretnych
  pól (znaczniki META, tytuły itp.)
- Wolny - bezpłatny, darmowy, za friko.
- Stworzony dla stron WWW - indeksuje pliki HTML, może ignorować dane
  w większości znaczników, przyznając większą wagę informacją w
  nagłówkach i tytułach. Tytuły mogą być wyodrębniane z plików HTML i
  pojawiać się w rezultatach wyszukiwania. SWISH może automatycznie
  przeszukać całą stronę WWW w jednym przejściu, jeżeli jest w jednym
  katalogu. Można także ograniczyć wyszukiwanie do słów w tytułach HTML,
  komentarzach i znacznikach META. Dodatkowo - 8-bitowe znaki HTML mogą
  być indeksowane, przekształcane i przeszukiwane.
- Tworzy przenośne indeksy - są zawarte w tylko jednym pliku, więc
  mogą być łatwo transportowane i zarządzane.
- Można poprawić źródła - wszyscy są proszeni o wysyłanie łat i uwag
  jak ulepszyć SWISH-E. Można się też przyłączyć do dyskusji na temat
  SWISH-E.

%package doc
Summary:	Documentation for swish-e
Summary(pl.UTF-8):	Dokumentacja dla swish-e
Group:		Documentation

%description doc
SWISH-E documentation and examples

%description doc -l pl.UTF-8
Dokumentacja i przykłady dla SWISH-E

%package perl
Summary:	SWISH-E - Perl Scripts and Modules
Summary(pl.UTF-8):	SWISH-E - Skrypty i moduły dla Perla
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}

%description perl
Perl SWISH-E language bindings and scripts.

%description perl -l pl.UTF-8
Skrypty i moduły perlowe dla SWISH-E.

%package devel
Summary:	Header files for swish-e
Summary(pl.UTF-8):	Pliki nagłówkowe dla swish-e
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for swish-e.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla swish-e.

%package static
Summary:	Static library for swish-e
Summary(pl.UTF-8):	Biblioteka statyczna dla swish-e
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for swish-e.

%description static -l pl.UTF-8
Biblioteka statyczna dla swish-e.

%prep
%setup -q

%build
%configure \
	--with-pcre
%{__make}
%{__make} test

cd perl
echo skip | \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	CCFLAGS="%{rpmcflags} -I../src" \
	LIBS="%{rpmldflags} -L../src/.libs -lswish-e" \
	SWISHINC=../src \
	SWISHLIBS=-L../src/.libs \
	SWISHVERSION=%{version} \
	SWISHBINDIR=../src

%{__make}
%{__make} test
cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_docdir}/%{name} %{name}-doc

%{__make} -C perl install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/libswish-e.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libswish-e.so.2
%dir %{_prefix}/lib/swish-e
%attr(755,root,root) %{_prefix}/lib/swish-e/swishspider
%{_mandir}/man?/*

%files doc
%defattr(644,root,root,755)
%doc %{name}-doc/*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/swish-filter-test
%{_prefix}/lib/%{name}/perl
%attr(755,root,root) %{_prefix}/lib/%{name}/*.pl
%attr(755,root,root) %{_prefix}/lib/%{name}/*.cgi
%{_datadir}/swish-e
%dir %{perl_vendorarch}/SWISH
%{perl_vendorarch}/SWISH/*.pm
%dir %{perl_vendorarch}/auto/SWISH
%dir %{perl_vendorarch}/auto/SWISH/API
%{perl_vendorarch}/auto/SWISH/API/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/SWISH/API/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/swish-config
%attr(755,root,root) %{_libdir}/libswish-e.so
%{_libdir}/libswish-e.la
%{_includedir}/*.h
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libswish-e.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: swish-e.spec,v $
Revision 1.24  2012/03/28 07:27:26  arekm
- release 3

Revision 1.23  2010/06/06 08:53:39  arekm
- release 2

Revision 1.22  2009/03/10 18:41:29  undefine
- up to 2.4.6, patch -perl.patch already included

Revision 1.21  2008/04/08 11:54:58  baggins
- ghost lib so symlink

Revision 1.20  2008-04-08 11:18:16  baggins
- rel 6
- fixed build with perl 5.10

Revision 1.19  2008-03-26 13:50:09  baggins
- rel 5

Revision 1.18  2008-03-13 20:58:36  arekm
- rel 4

Revision 1.17  2008-03-06 02:06:03  wolvverine
- rel.3

Revision 1.16  2007-11-01 15:49:02  arekm
- rel 2; rebuild with fixed pcre

Revision 1.15  2007/09/05 14:09:24  baggins
- 2.4.5
- updated files
- fixed perl module build

Revision 1.14  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.12  2005/03/25 16:22:53  qboosh
- updated Source0 URL, simplified install

Revision 1.11  2004/10/31 15:32:13  paladine
- spaces->tabs

Revision 1.10  2004/10/25 11:36:58  paladine
- "HTML" and "Perl" unification

Revision 1.9  2004/07/27 22:25:18  undefine
- release 7

Revision 1.8  2004/07/27 21:01:33  undefine
- skip detect swish-e binary, disable tests

Revision 1.7  2004/07/26 13:20:12  undefine
- release 6 for AC

Revision 1.6  2004/07/26 13:03:26  undefine
- build SWISH::API module too

Revision 1.5  2004/07/25 23:22:47  undefine
- release 4 for AC

Revision 1.4  2004/07/25 11:03:32  qboosh
- fixed build on amd64 (use just prefix/lib for scripts), release 2

Revision 1.3  2004/07/24 16:56:01  qboosh
- pl fixes, no autogenerated symlink

Revision 1.2  2004/07/24 11:11:56  undefine
- GPL/LGPL

Revision 1.1  2004/07/24 11:09:06  undefine
- initital pld version, based on build and mandrake spec
